TeleportFX = {}
TeleportFX.__index = TeleportFX

function TeleportFX.LoadAssets(me)
	LoadModel(me,"Square","Billboard","BlueLight.png")
end

function TeleportFX:Params(me)
	SetMaxSize(me,200)
	ParamOnTop(me,true)
	ParamMaxLife(me,30)
	ParamAlphaType(me,1)
	ParamScale(me,1)
end

function TeleportFX:Create(me)
	Emit(me,3)	
	
end

function TeleportFX:Update(me)
	ParamScale(me,ParamScale(me)+.75)
end